<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PropertyValue (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertyValue (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyValue.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/PropertyValue.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyValue.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class PropertyValue" class="title">Class PropertyValue</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hsmf.datatypes.PropertyValue</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkBasedPropertyValue.html"
                           title="class in org.apache.poi.hsmf.datatypes">ChunkBasedPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.BooleanPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.CurrencyPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.CurrencyPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.DoublePropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.DoublePropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.FloatPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.FloatPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongLongPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongLongPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.NullPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.ShortPropertyValue</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
                            title="class in org.apache.poi.hsmf.datatypes">PropertyValue.TimePropertyValue</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">PropertyValue</span>
extends java.lang.Object</pre>
                <div class="block">An instance of a <a
                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                        title="class in org.apache.poi.hsmf.datatypes"><code>MAPIProperty</code></a> inside a <a
                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
                        title="class in org.apache.poi.hsmf.datatypes"><code>PropertiesChunk</code></a>. Where
                    the <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
                           title="class in org.apache.poi.hsmf.datatypes"><code>Types</code></a> type is a fixed length
                    one, this will contain the actual
                    value. Where the <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.html"
                                        title="class in org.apache.poi.hsmf.datatypes"><code>Types</code></a> type is a
                    variable length one, this will
                    contain the length of the property, and the value will be in the associated
                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                       title="class in org.apache.poi.hsmf.datatypes"><code>Chunk</code></a>.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.BooleanPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.CurrencyPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.CurrencyPropertyValue</a></span></code>
                                    <div class="block">signed 64-bit integer that represents a base ten decimal, with
                                        four
                                        digits to the right of the decimal point
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.DoublePropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.DoublePropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.FloatPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.FloatPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongLongPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongLongPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.NullPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.ShortPropertyValue</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.TimePropertyValue</a></span></code>
                                    <div class="block">64-bit integer specifying the number of 100ns periods since Jan
                                        1, 1601
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#data">data</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#PropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-">PropertyValue</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                                    long&nbsp;flags,
                                    byte[]&nbsp;data)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#PropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-org.apache.poi.hsmf.datatypes.Types.MAPIType-">PropertyValue</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                                    long&nbsp;flags,
                                    byte[]&nbsp;data,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                       title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;actualType)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getActualType--">getActualType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getFlags--">getFlags</a></span>()</code>
                                    <div class="block">Get the raw value flags.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getProperty--">getProperty</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getRawValue--">getRawValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getValue--">getValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#setRawValue-byte:A-">setRawValue</a></span>(byte[]&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="data">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>data</h4>
                                <pre>protected&nbsp;byte[] data</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PropertyValue</h4>
                                <pre>public&nbsp;PropertyValue(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                     long&nbsp;flags,
                     byte[]&nbsp;data)</pre>
                            </li>
                        </ul>
                        <a name="PropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-org.apache.poi.hsmf.datatypes.Types.MAPIType-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PropertyValue</h4>
                                <pre>public&nbsp;PropertyValue(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                     long&nbsp;flags,
                     byte[]&nbsp;data,
                     <a href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;actualType)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getProperty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperty</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;getProperty()</pre>
                            </li>
                        </ul>
                        <a name="getFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlags</h4>
                                <pre>public&nbsp;long&nbsp;getFlags()</pre>
                                <div class="block">Get the raw value flags. TODO Also provide getters for the flag
                                    meanings
                                </div>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;getValue()</pre>
                            </li>
                        </ul>
                        <a name="getRawValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawValue</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRawValue()</pre>
                            </li>
                        </ul>
                        <a name="getActualType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getActualType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;getActualType()</pre>
                            </li>
                        </ul>
                        <a name="setRawValue-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRawValue</h4>
                                <pre>public&nbsp;void&nbsp;setRawValue(byte[]&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyValue.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertiesChunk.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/PropertyValue.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyValue.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
